import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 系统角色服务对象基类
 *
 * @export
 * @class SYS_ROLEServiceBase
 * @extends {EntityServie}
 */
export default class SYS_ROLEServiceBase extends EntityService {

    /**
     * Creates an instance of  SYS_ROLEServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  SYS_ROLEServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof SYS_ROLEServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='sys_role';
        this.APPDEKEY = 'roleid';
        this.APPDENAME = 'sys_roles';
        this.APPDETEXT = 'rolename';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYS_ROLEServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            return Http.getInstance().get(`/sys_roles/${context.sys_role}/select`,isloading);
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SYS_ROLEServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/sys_roles/select`,tempData,isloading);
    }
}